Procedure Composite Process Instance
Get a list of ProcedureComputation objects. ProcedureComputations have a 1:1 mapping with Observations where used.
These may have a number of 2 or more components made up of combinations of Computation and Acquisition records.
The details of the underlying records have been serialised.
### Available end points:
- `/ProcedureComputations/` - Will list all ProcedureComputations in the database
- `/ProcedureComputations.json` - Will return all ProcedureComputations in json format
- `/ProcedureComputations/<object_id>/` - Returns ProcedureComputations object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
None
### How to use filters:
None
GET /api/v2/composites/40087/?format=api
{ "ob_id": 40087, "computationComponent": [ { "ob_id": 8096, "uuid": "3758814994634374bd1b958a8877e882", "title": "deployed on ERS-2", "abstract": "This computation involved: deployed on ERS-2.", "keywords": "", "inputDescription": null, "outputDescription": null, "softwareReference": null, "identifier_set": [] } ], "acquisitionComponent": [ { "ob_id": 40151, "independentInstrument": [], "instrumentplatformpair_set": [ { "ob_id": 13601, "platform": "https://api.catalogue.ceda.ac.uk/api/v2/platforms/7813/?format=api", "instrument": "https://api.catalogue.ceda.ac.uk/api/v2/instruments/8097/?format=api", "relatedTo": { "ob_id": 40151, "uuid": "b41b4f70d57c46d4a51ddec6d6fc411a", "short_code": "acq" } } ] } ], "identifier_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/195306/?format=api" ] }